<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Nathan Roth <nroth@interworx.com>
 * @date    Jan 27, 2021
 */

/**
 * Siteworx Imunifyav Controller.
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Siteworx_ImunifyavAssets extends Ctrl_Siteworx_Plugin
{
    /**
     * Init.
     */
    protected function _init()
    {
    }

    /**
     * Index.
     *
     * @disabledIn ~IW::WEB
     */
    public function indexAction()
    {
        $filename =pathinfo($_SERVER['REQUEST_URI'])['basename'];
        if (strpos($_SERVER['REQUEST_URI'], 'images') && !strpos($_SERVER['REQUEST_URI'], 'flags')) {
            $subdirectory = 'images';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'builds')) {
            $subdirectory = 'builds';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'config.js')) {
            $subdirectory = 'config';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'flags')) {
            $subdirectory = 'flags';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'nav-root')) {
            $subdirectory = 'nav-root';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'email-root')) {
            $subdirectory = 'email-root';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'importmaps')) {
            $subdirectory = 'importmaps';
        } elseif (strpos($_SERVER['REQUEST_URI'], 'shared-dependencies')) {
            $subdirectory = 'shared-dependencies';
        }elseif (strpos($_SERVER['REQUEST_URI'], 'other-root')) {
            $subdirectory = 'other-root';
        } else {
            $subdirectory = false;
        }
        $this->_getPlugin()->runAssets($filename, $subdirectory);
        exit;
    }
}
